summaryrefslogtreecommitdiff
path: root/tests/cp/cp-i
diff options
context:
space:
mode:
authorKamil Dudka <kdudka@redhat.com>2009-01-13 18:35:00 +0100
committerJim Meyering <meyering@redhat.com>2009-01-14 09:09:22 +0100
commitd01338eb3d30e5634f1b4d4179c229f54eea0b44 (patch)
tree6ed873717bb12faed3300b9be390aaabee40fa74 /tests/cp/cp-i
parenta99c35b04d9ab601e4fa98319c56fbdbde6b420a (diff)
downloadcoreutils-d01338eb3d30e5634f1b4d4179c229f54eea0b44.tar.xz
cp/mv: add --no-clobber (-n) option to not overwrite target
* src/cp.c (usage): Show new option -n in --help. (main): Handle new option -n. * src/mv.c (usage): Show new option -n in --help. (main): Handle new option -n. * doc/coreutils.texi: Document new cp/mv option -n. * tests/cp/cp-i: Add tests for -f, -i and -n options. * tests/mv/mv-n: New test for mv -n. * tests/Makefile.am: Add test mv/mv-n to the list. * NEWS: Mention the change.
Diffstat (limited to 'tests/cp/cp-i')
-rwxr-xr-xtests/cp/cp-i36
1 files changed, 36 insertions, 0 deletions
diff --git a/tests/cp/cp-i b/tests/cp/cp-i
index 94284bee7..36bb7588b 100755
--- a/tests/cp/cp-i
+++ b/tests/cp/cp-i
@@ -31,4 +31,40 @@ fail=0
# coreutils 6.2 cp would neglect to prompt in this case.
echo n | cp -iR a b 2>/dev/null || fail=1
+# test miscellaneous combinations of -f -i -n parameters
+touch c d || framework_failure
+echo "\`c' -> \`d'" > out_copy
+> out_empty
+
+# ask for overwrite, answer no
+echo n | cp -vi c d 2>/dev/null > out1 || fail=1
+compare out1 out_empty || fail=1
+
+# ask for overwrite, answer yes
+echo y | cp -vi c d 2>/dev/null > out2 || fail=1
+compare out2 out_copy || fail=1
+
+# -i wins over -n
+echo y | cp -vni c d 2>/dev/null > out3 || fail=1
+compare out3 out_copy || fail=1
+
+# -n wins over -i
+echo y | cp -vin c d 2>/dev/null > out4 || fail=1
+compare out4 out_empty || fail=1
+
+# ask for overwrite, answer yes
+echo y | cp -vfi c d 2>/dev/null > out5 || fail=1
+compare out5 out_copy || fail=1
+
+# do not ask, prevent from overwrite
+echo n | cp -vfn c d 2>/dev/null > out6 || fail=1
+compare out6 out_empty || fail=1
+
+# do not ask, prevent from overwrite
+echo n | cp -vnf c d 2>/dev/null > out7 || fail=1
+compare out7 out_empty || fail=1
+
+# options --backup and --no-clobber are mutually exclusive
+cp -bn c d 2>/dev/null && fail=1
+
Exit $fail